/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef REQUEST_H
#define REQUEST_H

#include <QTreeWidgetItem>
#include "Subject.h"

class Request: public QTreeWidgetItem, public Subject
{
public:
	Request();
	
	void setFileName(const QString &name);
	void setText(const QString &text);
	void setSubject(const QString &subj);
	
	QString fileName();
	QString text();
	QString subject();
	QString signatureAlgorithm();
	
private:
	QString mFileName;
	QString mText;
	QString mSigAlg;
	
};

#endif
